import { useOverviewSelect } from './useOverviewSelect'
import { useAnalysisSelect } from './useAnalysisSelect'

const { overviewSelectInfo } = useOverviewSelect()
const {
  analysisSelectInfo,
  legendSelectInfo,
  leftToolsSelectInfo,
  rightToolsSelectInfo,
} = useAnalysisSelect()

export function useHomeSelect() {
  return {
    overviewSelectInfo,
    analysisSelectInfo,
    legendSelectInfo,
    leftToolsSelectInfo,
    rightToolsSelectInfo,
  }
}
